#  XMR MultiSig WebGUI
It supports only 2/3 multisig wallets.

Made in Python3 by [BlackMask](http://darkmat3kdxestusl437urshpsravq7oqb7t3m36u2l62vnmmldzdmid.onion/)

## Install
- Download monero clients from https://web.getmonero.org/downloads/#cli
- Unzip and put monero-wallet-cli and monero-wallet-rpc into ./bin/ directory
- Run:
> python3 xmsweb.py

Open browser with url http://127.0.0.1:7779

## Setup
- Click Settings
- Set up daemon-address, ie 127.0.0.1:18081
- You can use public node from https://monero.fail/
- If daemon requires authentification set up daemon-login, ie username:password
- Stagenet and Testnet are for testing only, must be False for real money usage
- If you use public node turn on tor proxy to hide your IP address, ie: 127.0.0.1:9050
- Save settings and click Test to test connection

## Usage

### Create multisig wallet
- Click Generate wallet, wait a bit. It can take from 0.5 up to 5 minutes depends on daemon connection.
- When wallet is generated, you'll see it in the list, click on Wallet #num.
- You'll see round1 key, send it to other participants. When you receive their keys, put them to textarea and click Submit.
- You'll see round2 key, send it to other participants. When you receive their keys, put them to textarea and click Submit.
- You'll see round3 key, send it to other participants. When you receive their keys, put them to textarea and click Finalize.
- Wallet is finalize and you can see address to deposit.

### Withdraw coins from multisig wallet
- Check balance. If it's lower than expected check transfers. If you don't see all transfers as expected click Rescan blockchain button.
- If balance is fine click Export info. You'll see form with big hex text. Send this data to other participant.
- He should click Import info, paste exported key and click import.
- After that he need to click Create TX and type there XMR address and amount to withdraw.
Fee will be added to amount so never try to withdraw full balance.
If everything is fine he'll get form with hex of transaction. He needs to send you that.
- You click Verify TX and paste transaction there, and click Show. You'll see body of transaction with withdrawal addresses, amounts and fee.
- If you agree with transaction body click Sign and click Broadcast. After that transaction will be sent to blockchain and can't be revoke back.
